##
##  bogofilter.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         bogofilter
Summary:      Bayesian Mail Filter
URL:          http://www.bogofilter.org/
Vendor:       Eric S. Raymond et al.
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        BASE
Group:        Mail
License:      GPL
Version:      1.2.4
Release:      20160305

#   list of sources
Source0:      http://download.sourceforge.net/bogofilter/bogofilter-%{version}.tar.bz2
Patch0:       bogofilter.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, flex, gcc
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  db, gsl, libiconv
PreReq:       db, gsl, libiconv

%description
    Bogofilter is a mail filter that classifies mail as spam or ham
    (non-spam) by a statistical analysis of the message's header and
    content (body). The program is able to learn from the user's
    classifications and corrections. The statistical technique is known
    as the Bayesian technique.

%track
    prog bogofilter = {
        version   = %{version}
        url       = http://sourceforge.net/projects/bogofilter/files/
        regex     = bogofilter-(\d+\.\d+\.\d+)\.tar\.bz2
    }

%prep
    %setup -q
    %patch -p0
    %{l_shtool} subst \
       -e 's;patch ;%{l_patch} ;g' \
       src/Makefile.in
    case "%{l_platform -t}" in
        *-sunos* )
            %{l_shtool} subst \
                -e 's;\(LIBDB="[^"]*\)"$;\1 -lrt";' \
                configure
            ;;
    esac

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    LIBS="$LIBS$extlibs" \
    GREP="grep" \
    ./configure \
        --prefix=%{l_prefix} \
        --sysconfdir=%{l_prefix}/etc/bogofilter \
        --mandir=%{l_prefix}/man \
        --with-libdb-prefix=%{l_prefix} \
        --disable-dbshared-test
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    mv  $RPM_BUILD_ROOT%{l_prefix}/etc/bogofilter/bogofilter.cf.example \
        $RPM_BUILD_ROOT%{l_prefix}/etc/bogofilter/bogofilter.cf
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

